Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.services
Class ComponentModelSourceImpl

    java.lang.Object
      org.apache.tapestry5.internal.services.ComponentModelSourceImpl

All Implemented Interfaces:
  ComponentModelSource

    public class ComponentModelSourceImpl

extends java.lang.Object
implements ComponentModelSource

Constructor Summary
`ComponentModelSourceImpl(ComponentClassResolver resolver, ComponentInstantiatorSource source)`

Method Summary
`ComponentModel` | `getModel(java.lang.String componentClassName)` Returns the model for a particular component class name.
`ComponentModel` | `getPageModel(java.lang.String pageName)` Returns the model for a page.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComponentModelSourceImpl

    public ComponentModelSourceImpl(ComponentClassResolver resolver,
                                    ComponentInstantiatorSource source)

Method Detail

### getModel

    public ComponentModel getModel(java.lang.String componentClassName)

  Description copied from interface: `ComponentModelSource`
  Returns the model for a particular component class name.

  Specified by:
    `getModel` in interface `ComponentModelSource`
  Parameters:
    `componentClassName` - name of component class
  Returns:
    model for component

### getPageModel

    public ComponentModel getPageModel(java.lang.String pageName)

  Description copied from interface: `ComponentModelSource`
  Returns the model for a page. The page name is resolved to a component class name.

  Specified by:
    `getPageModel` in interface `ComponentModelSource`
  Parameters:
    `pageName` - name of page
  Returns:
    the model for the page

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.